Bug 1257552 - Runsnake crash when loading profile data from the command line
Runsnake crash when loading profile data from the command line
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 06:26 EDT by David
Modified: 2016-07-19 13:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:41:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David 2015-08-27 06:26:23 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Generate profile data:
    python -m cProfile -o profile_data some_python_script.py
2. Load it with runsnake:
    runsnake profile_data 

Actual results:
The window briefly opens and closes with the following text on the terminal:

    08:46:50: Debug: Adding duplicate image handler for 'PNG file'

    (runsnake:13007): Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed

    (runsnake:13007): GLib-GObject-WARNING **: The property GtkSettings:gtk-menu-images is deprecated and shouldn't be used anymore. It will be removed in a future version.
    python: cairo-arc.c:189: _cairo_arc_in_direction: Assertion `angle_max >= angle_min' failed.
    Aborted (core dumped)

Additional info:
* Used to work on Fedora 21.
* It works if it is launched without arguments and the file is loaded from the menu, but some other options trigger the same crash.
* I am running the LXDE desktop.
Comment 1 Matej Stuchlik 2015-08-28 08:43:12 EDT
Can't reproduce it in Gnome on f22, but this does not look like a bug in RunSnakRun, rather in Gtk/Cairo/wxPython.
Comment 2 Fedora End Of Life 2016-07-19 13:41:10 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.